---
title: <discard>
slug: Web/SVG/Element/discard
tags:
  - Element
  - NeedsExample
  - Reference
  - SVG
  - SVG Animation
---
<div>{{SVGRef}}</div>

<p>The <strong><code>&lt;discard&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element allows authors to specify the time at which particular elements are to be discarded, thereby reducing the resources required by an SVG user agent. This is particularly useful to help SVG viewers conserve memory while displaying long-running documents.</p>

<p>The <code>&lt;discard&gt;</code> element may occur wherever the {{SVGElement("animate")}} element may.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/SVG/Attribute#Conditional_processing_attributes">Conditional processing attributes</a></li>
 <li><a href="/en-US/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/SVG/Attribute#Aria_attributes">Aria attributes</a></li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("begin")}}</li>
 <li>{{SVGAttr("href")}} (but note that <code>&lt;discard&gt;</code> has never supported <code>xlink:href</code>)</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG Animations 2', '#DiscardElement', '&lt;discard&gt;')}}</td>
   <td>{{Spec2('SVG Animations 2')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.discard")}}</p>
